### Hierarchy

- BaseService

## Index

### Constructors

- constructor

### Accessors

- config
- environment
- translation
- type
- instance

### Methods

- fetchJson
- getGlobal
- initApp
- initGlobalNameSpace

## Constructors

### constructor

- new BaseService(enforcer: any): BaseService

- - Defined in base/base-service.ts:15

  #### Parameters

  - ##### enforcer: any

  #### Returns BaseService

## Accessors

### config

- get config(): ConfigService

- - Defined in base/base-service.ts:66

  #### Returns ConfigService

### environment

- get environment(): any

- - Defined in base/base-service.ts:70

  #### Returns any

### translation

- get translation(): TranslateService

- - Defined in base/base-service.ts:74

  #### Returns TranslateService

### type

- get type(): string
- set type(value: string): void

- - Defined in base/base-service.ts:85

  #### Returns string

- - Defined in base/base-service.ts:89

  #### Parameters

  - ##### value: string

  #### Returns void

### Static instance

- get instance(): any

- - Defined in base/base-service.ts:78

  #### Returns any

## Methods

### fetchJson

- fetchJson(url: string): Promise<any>

- - Defined in base/base-service.ts:48

  #### Parameters

  - ##### url: string

  #### Returns Promise<any>

### getGlobal

- getGlobal(): Window | Global

- - Defined in base/base-service.ts:54

  #### Returns Window | Global

### initApp

- initApp(config: any, useDefaults?: boolean, namespace?: string): Promise<any>

- - Defined in base/base-service.ts:31

  #### Parameters

  - ##### config: any

  - ##### Default value useDefaults: boolean = false

  - ##### Default value namespace: string = undefined

  #### Returns Promise<any>

### initGlobalNameSpace

- initGlobalNameSpace(namespace?: string): void

- - Defined in base/base-service.ts:61

  #### Parameters

  - ##### Default value namespace: string = "_ema"

  #### Returns void